<?php
@ini_set('max_execution_time',180);
@ini_set('memory_limit','7777M');
@set_time_limit(180);
require'f_descarcari.php';
require'f_admin.php';
$titlu='Adaugă fișiere descarcari, OneDrive'.$x1;
$back[2]='<a href="/admin-adauga-fisiere-descarcari/album/'.$fid.'-'.seo($finfo[2]).'">'.img('administrare.png',1).'Adaugă fișiere descarcari</a>';
require'f_sus.php';
require'f_dimensiune.php';
$nr1=0;
$nr2=0;
$text1='';
$text2='';
$data=$_SERVER['REQUEST_TIME'];
foreach(explode("\\r\\n",$pmtext) AS$rand)
{
if(!mb_stristr($rand,'onedrive')&&$rand!='')
$rand=str_ireplace('location: ','',get_headers($rand)[1]);
$rand=str_ireplace(['https://','redir?'],[$adresasite[4],'download?'],$rand);
if($rand!='')
{
$nume='';
$dimensiune=0;
foreach(get_headers(str_replace('http://','https://',$rand),1) AS$cheie=>$valoare)
{
if($cheie=='Content-Disposition')
$nume=rawurldecode(mb_stristr($valoare,"'")?@explode("'",$valoare)[2]:@explode('"',$valoare)[1]);
if($cheie=='Content-Length')
$dimensiune=$valoare[1];
}
if(($fid>0&&$nume!=''&&$rand!=''&&$dimensiune>0?$conn->query('INSERT INTO`descarcari_fisiere`SET`de`="'.$de.'",`nume`="'.$nume.'",`link`="'.str_replace('/download?','/download/fisier.'.@mb_strtolower(mb_substr(mb_strrchr(explode('?',$nume)[0],'.'),1)).'?',$rand).'",`dimensiune`="'.$dimensiune.'",`data`="'.$data.'",`fid`="'.$fid.'",`raportat`="0"'):false))
{
$pid=$conn->insert_id;
$text1.='[br/][url=/fisier/id/'.$pid.'-'.seo($nume).']'.$nume.'[/url][b] - [/b]'.dimensiune($dimensiune);
$nr1++;
}
else
{
$text2.='[br/]'.$rand.($dimensiune>0?' - '.dimensiune($dimensiune):'');
$nr2++;
}
$data++;
}
}
if($nr1>0)
{
require'f_notificare.php';
$items=$conn->query('SELECT`de`FROM`descarcari_abonati`WHERE`de`!="'.$de.'"');
while($item=$items->fetch_row())
{
notificare('in albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url] de la descarcari, am adăugat fișier'.($nr1==1?'ul':'ele').':'.$text1,$item[0],$de);
}
$conn->query('INSERT INTO`evenimente`SET`text`="in albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url] de la descarcari, a adăugat fișier'.($nr1==1?'ul':'ele').':'.$text1.'",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
$conn->query('UPDATE`membrii`SET`lei`=lei+'.($lei['descarcari']*$nr1).' WHERE`id`="'.$de.'"');
require'f_filtru.php';
echo$div[1].filtru('in albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url] de la descarcari, ai adăugat fișier'.($nr1==1?'ul':'ele').':'.$text1).'<br />Total: <strong>'.$nr1.'</strong> fișiere adaugate, pentru care ai primit <strong>'.($lei['descarcari']*$nr1).'</strong> lei!'.$div[0];
}
elseif($nr2>0)
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a esuat în adaugarea de fișiere de la descărcări în albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url], cu urmatoarele linii:'.$text2.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
require_once'f_filtru.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].$nr2.' erori la urmatoarele linii:'.filtru($text2).$div[0];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat link-uri, ce vrei să se adauge?'.$div[0];
require'f_jos.php';